<?php

$settings = array(
    'enabled' => array(
        'title' => __('Enable/Disable', 'wc-payrexx-gateway'),
        'type' => 'checkbox',
        'label' => __('Enable Payrexx', 'wc-payrexx-gateway'),
        'default' => 'no',
    ),
    'platform' => array(
        'title' => __('Choose your platform', 'wc-payrexx-gateway'),
        'type' => 'select',
        'css' => 'width:400px;',
        'default' => 'payrexx.com',
        'options' => array(
            'payrexx.com' => 'Payrexx',
            'zahls.ch' => 'Zahls',
            'spenden-grunliberale.ch' => 'Grünliberale Schweiz',
            'deinshop.online' => 'Deinshop.online',
            'swissbrain-pay.ch' => 'Swissbrain',
            'loop-pay.com' => 'Loop Pay',
            'shop-and-pay.com' => 'Shop and Pay',
            'loxopay.ch' => 'Loxopay',
            'ideal-pay.ch' => 'Ideal Pay',
            'comvation.shop' => 'Comvation',
            'payzzter.com' => 'Payzzter',
            'go2flow.finance' => 'Go 2 Flow Finance',
            '4else.de' => '4else',
            'bkpos-pay.com' => 'Hiopos',
        )
    ),
    'instance' => array(
        'title' => __('Instance Name  <small style="color: #ff0000;">(Required)</small>', 'wc-payrexx-gateway'),
        'type' => 'text',
        'custom_attributes' => array('required' => 'required'),
        'description' => __('Enter the instance name here. The instance name is part of your Payrexx-url (INSTANCENAME.payrexx.com).', 'wc-payrexx-gateway'),
        'default' => __(get_option("woocommerce_payrexx_instance"), 'wc-payrexx-gateway'),
        'desc_tip' => true,
    ),
    'apiKey' => array(
        'title' => __('API Key  <small style="color: #ff0000;">(Required)</small>', 'wc-payrexx-gateway'),
        'type' => 'text',
        'custom_attributes' => array('required' => 'required'),
        'description' => __('Paste here your API key from the Integrations page of your Payrexx merchant backend.', 'wc-payrexx-gateway'),
        'default' => __(get_option("woocommerce_payrexx_apiKey"), 'wc-payrexx-gateway'),
        'desc_tip' => true,
    ),
    'lookAndFeelId' => array(
        'title' => __('Look&Feel Profile ID', 'wc-payrexx-gateway'),
        'type' => 'text',
        'description' => __('Enter a profile ID if you wish to use a specific Look&Feel profile.', 'wc-payrexx-gateway'),
        'default' => __(get_option("woocommerce_payrexx_apiKey"), 'wc-payrexx-gateway'),
        'desc_tip' => true,
    ),
    'prefix' => array(
        'title' => __('Prefix ', 'wc-payrexx-gateway'),
        'type' => 'text',
        'custom_attributes' => array(),
        'description' => __('This is necessary when you use more than one shop with only one Payrexx account.', 'wc-payrexx-gateway'),
        'default' => __(get_option("woocommerce_payrexx_prefix"), 'wc-payrexx-gateway'),
        'desc_tip' => true,
    ),
    'title' => array(
        'title' => __('Title  <small style="color: #ff0000;">(Required)</small>', 'wc-payrexx-gateway'),
        'type' => 'text',
        'custom_attributes' => array('required' => 'required'),
        'description' => __('This controls the title which the user sees during checkout.', 'wc-payrexx-gateway'),
        'default' => __(get_option("woocommerce_payrexx_title"), 'wc-payrexx-gateway'),
        'desc_tip' => true,
    ),
    'description' => array(
        'title' => __('Description', 'wc-payrexx-gateway'),
        'type' => 'textarea',
        'css' => 'width:400px;',
        'description' => __('This controls the description which the user sees during checkout.', 'wc-payrexx-gateway'),
        'default' => __(get_option("woocommerce_payrexx_description"), 'wc-payrexx-gateway'),
        'desc_tip' => true,
    ),
    'logos' => array(
        'title' => __('Select Logo', 'wc-payrexx-gateway'),
        'type' => 'multiselect',
        'css' => 'height: 400px;width:400px;',
        'description' => __('This controls the payment method logos the customer sees during checkout.', 'wc-payrexx-gateway'),
        'default' => __(get_option("woocommerce_payrexx_logos"), 'wc-payrexx-gateway'),
        'desc_tip' => true,
        'options' => array(
            'masterpass' => 'Masterpass',
            'mastercard' => 'Mastercard',
            'visa' => 'Visa',
            'apple_pay' => 'Apple Pay',
            'maestro' => 'Maestro',
            'jcb' => 'JCB',
            'american_express' => 'American Express',
            'wirpay' => 'WIRpay',
            'paypal' => 'PayPal',
            'bitcoin' => 'Bitcoin',
            'sofortueberweisung_de' => 'Sofort Überweisung',
            'airplus' => 'Airplus',
            'billpay' => 'Billpay',
            'bonuscard' => 'Bonus card',
            'cashu' => 'CashU',
            'cb' => 'Carte Bleue',
            'diners_club' => 'Diners Club',
            'direct_debit' => 'Direct Debit',
            'discover' => 'Discover',
            'elv' => 'ELV',
            'ideal' => 'iDEAL',
            'invoice' => 'Invoice',
            'myone' => 'My One',
            'paysafecard' => 'Paysafe Card',
            'postfinance_card' => 'PostFinance Card',
            'postfinance_efinance' => 'PostFinance E-Finance',
            'swissbilling' => 'SwissBilling',
            'twint' => 'TWINT',
            'barzahlen' => 'Barzahlen/Viacash',
            'bancontact' => 'Bancontact',
            'giropay' => 'GiroPay',
            'eps' => 'EPS',
            'google_pay' => 'Google Pay',
            'antepay' => 'AntePay',
            'paysafecash' => 'Paysafes Cash',
            'bob-invoice' => 'Kauf auf Rechnung (Bob)',
            'samsung_pay' => 'Samsung Pay',
            'klarna_paynow' => 'Klarna Pay nowe',
            'klarna_paylater' => 'Klarna Pay Later',
            'oney' => 'Oney',
            'gecko-card' => 'Gecko Card',
        )
    )
);

if (class_exists('\WC_Subscriptions')) {
    $settings = array_merge($settings, array(
        'subscriptions_enabled' => array(
            'title' => __('Enable/Disable Subscriptions', 'wc-payrexx-gateway'),
            'type' => 'checkbox',
            'label' => __('Enable recurring payments for customers when subscriptions are purchased', 'wc-payrexx-gateway'),
            'default' => 'no',
        ),
        'subscriptions_title' => array(
            'title' => __('Payment Method Change Title', 'wc-payrexx-gateway'),
            'type' => 'text',
            'description' => __('This controls the title which the user sees if he want to change the payment method for his existing subscription', 'wc-payrexx-gateway'),
            'default' => __(get_option("woocommerce_payrexx_subscriptions_title"), 'wc-payrexx-gateway'),
            'desc_tip' => true,
        ),
        'subscriptions_user_desc' => array(
            'title' => __('Description Checkbox', 'wc-payrexx-gateway'),
            'type' => 'textarea',
            'css' => 'width:400px;',
            'description' => __('This controls the description which the user sees besides the checkbox to activate recurring payments for a subscription. Checkbox shows only if the feature is active and a subscription is purchased.', 'woocommerce'),
            'default' => __(get_option("woocommerce_payrexx_subscriptions_user_desc"), 'wc-payrexx-gateway'),
            'desc_tip' => true,
        ),
        'subscription_logos' => array(
            'title' => __('Recurring payment logo', 'wc-payrexx-gateway'),
            'type' => 'multiselect',
            'css' => 'height: 100px;width:400px;',
            'description' => __('This controls the payment method logos for recurring payments.', 'wc-payrexx-gateway'),
            'default' => __(get_option("woocommerce_payrexx_subscription_logos"), 'wc-payrexx-gateway'),
            'desc_tip' => true,
            'options' => array(
                'mastercard' => 'Mastercard',
                'visa' => 'Visa',
                'american_express' => 'American Express',
                'postfinance_card' => 'PostFinance Card'
            )
        )
    ));
}
return apply_filters('wc_offline_form_fields', $settings);
